/* 
 * Copyright (c) 2011, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 */

/*
 *  ======== pwrm_sh.h ========
 *
 *  GPP and DSP shared PWRM definitions.
 *
 */


#if !defined (PWRM_SH_H)
#define PWRM_SH_H

#if defined (__cplusplus)
extern "C" {
#endif /* defined (__cplusplus) */


/* event */
#define PWRM_SH_SLEEP           0x1
#define PWRM_SH_ACKNOWLEDGE     0x2
#define PWRM_SH_AWAKE           0x3
#define PWRM_SH_QUERY           0x4
#define PWRM_SH_DATA_L          0x5
#define PWRM_SH_DATA_H          0x6
#define PWRM_SH_RESUME          0x7

/* payload */
#define PWRM_SH_HIBERNATE       0x10
#define PWRM_SH_SYMBOLS_H       0x20
#define PWRM_SH_SYMBOLS_L       0x30


/*
 * symbol table format
 * -----------------------------------
 * far unsigned int PWRM_symbolTable[] = {
 *     number_of_entries_to_follow,
 *     (unsigned int)&_PWRM_restoreJouleIMem,       // warm boot address
 *     (unsigned int)&_PWRM_saveDone,               // software handshake
 *
 */


#if defined (__cplusplus)
}
#endif /* defined (__cplusplus) */

#endif /* !defined (PWRM_SH_H) */
/*
 *  @(#) ti.bios.power; 1, 1, 1,1; 12-9-2011 14:13:02; /db/atree/library/trees/power/power-g11x/src/ xlibrary

 */

